Bug 44637 - memory leak when playing
memory leak when playing
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: mpg123 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-14 17:04 EDT by Lee Howard
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-14 21:09:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Howard 2001-06-14 17:04:24 EDT
On RedHat 7.1 using a Mozart ISA sound card in an Intel P-75 system, 
the "mem free" as observed in 'top' steadily decreases while playing any 
mp3 in the default mpg123.  The memory leak stops when the player stops, 
but the "mem free" does not increase or return to a previous state.

The memory leak still occurs if I change the sound card to a PCI ESS 
Audiodrive.

This does not occur on RedHat 7.0 using a SoundBlaster 16 ISA sound card 
in an AMD K6-2/500 system (playing the same mp3 samples, of course).
Comment 1 Lee Howard 2001-06-14 21:09:41 EDT
Installed RedHat 7.0 on the hardware, and the same problem occurs.
Comment 2 Bill Nottingham 2001-06-19 16:37:43 EDT
It's being used for cache. It's completely normal; the cache will be freed
if the memory is needed for something else.

Note You need to log in before you can comment on or make changes to this bug.